<?php 
include "../Cadastro Cultivos/Cultivo.php";
$tipo = $_POST['tipo'];

$cultivo = new Cultivo();

switch ($tipo) {
	case 'cultivo':

		$nome 		 = $_POST['nome'];
		$ph 		 = $_POST['ph'];
		$adubo	   	 = $_POST['adubo'];
		$distancia   = $_POST['distancia'];
	    $temperatura = $_POST['temperatura'];
	    $estacao 	 = $_POST['estacao'];
	    $duracao 	 = $_POST['duracao'];
		

		$msg = $cultivo->cadastrar($nome, $ph, $adubo, $distancia, $temperatura, $estacao, $duracao)?"Cadastro realizado com sucesso!":"Erro ao cadastrar!";

		header("location: exibeCultivo.php?msg=".urlencode($msg));
		break;
	

	case 'consulta':

		include "consulta.php";

		$consulta = $_POST['nome'];

		echo '<div style="margin-left:150px; margin-right:150px; margin-top:20px;">'.$cultivo->consulta($consulta).'</div>';
		break;

		case"alterar";
		$nome 		 = $_POST['nome'];
		$ph 		 = $_POST['ph'];
		$adubo	   	 = $_POST['adubo'];
		$distancia   = $_POST['distancia'];
	    $temperatura = $_POST['temperatura'];
	    $estacao 	 = $_POST['estacao'];
	    $duracao 	 = $_POST['duracao']; 

		$msg = $cultivo-> alterar($nome, $ph, $adubo, $distancia, $temperatura, $estacao, $duracao)?"Cadastro alterado com sucesso!":"Erro ao altera!";

		header("location: exibeCultivo.php?msg=".urlencode($msg));
		break;

		case"excluir";
		$nome 		 = $_POST['nome'];
		$ph 		 = $_POST['ph'];
		$adubo	   	 = $_POST['adubo'];
		$distancia   = $_POST['distancia'];
	    $temperatura = $_POST['temperatura'];
	    $estacao 	 = $_POST['estacao'];
	    $duracao 	 = $_POST['duracao'];  

		$msg = $livro-> excluir($nome, $ph, $adubo, $distancia, $temperatura, $estacao, $duracao)?"Cadastro excluido com sucesso!":"Erro ao Excluir!";

		header("location: exibeCultivo.php?msg=".urlencode($msg));
		}

 ?>